Skip to main content
Server path: /launchdarkly-experiments | Type: Application | PCID required: Yes

Tools


launchdarkly_experiments_create_experiment

Create experiment Parameters:
ParameterTypeRequiredDefaultDescription
projectKeystringYesThe project key
environmentKeystringYesThe environment key
analysisConfigobjectNoAnalysis Config
dataSourcestringNoThe source of metric data in order to analyze results. Defaults to “launchdarkly” when not provided.
descriptionstringNoThe experiment description
holdoutIdstringNoThe ID of the holdout
iterationobjectYesThe iteration value
keystringYesThe experiment key
maintainerIdstringNoThe ID of the member who maintains this experiment
methodologystringNoThe results analysis approach.
namestringYesThe experiment name
tagsstring[]NoTags for the experiment
typestringNoThe type of experiment.

launchdarkly_experiments_create_metric_group

Create metric group Parameters:
ParameterTypeRequiredDefaultDescription
projectKeystringYesThe project key
descriptionstringNoDescription of the metric group
keystringNoA unique key to reference the metric group
kindstringYesThe type of the metric group
maintainerIdstringYesThe ID of the member who maintains this metric group
metricsobject[]YesAn ordered list of the metrics in this metric group
namestringYesA human-friendly name for the metric group
tagsstring[]YesTags for the metric group

launchdarkly_experiments_delete_metric

Delete metric Parameters:
ParameterTypeRequiredDefaultDescription
projectKeystringYesThe project key
metricKeystringYesThe metric key

launchdarkly_experiments_delete_metric_group

Delete metric group Parameters:
ParameterTypeRequiredDefaultDescription
projectKeystringYesThe project key
metricGroupKeystringYesThe metric group key

launchdarkly_experiments_get_all_holdouts

Get all holdouts Parameters:
ParameterTypeRequiredDefaultDescription
projectKeystringYesThe project key
environmentKeystringYesThe environment key
limitintegerNoThe number of holdouts to return in the response. Defaults to 20
offsetintegerNoWhere to start in the list. Use this with pagination. For example, an offset of 10 skips the first ten items and then returns the next items in the list, up to the query limit.

launchdarkly_experiments_get_any_env

Get experiments any environment Parameters:
ParameterTypeRequiredDefaultDescription
projectKeystringYesThe project key
limitintegerNoThe maximum number of experiments to return. Defaults to 20.
offsetintegerNoWhere to start in the list. Use this with pagination. For example, an offset of 10 skips the first ten items and then returns the next items in the list, up to the query limit.
filterstringNoA comma-separated list of filters. Each filter is of the form field:value. Supported fields are explained above.
expandstringNoA comma-separated list of properties that can reveal additional information in the response. Supported fields are explained above.
lifecycleStatestringNoA comma-separated list of experiment archived states. Supports archived, active, or both. Defaults to active experiments.

launchdarkly_experiments_get_experiment

Get experiment Parameters:
ParameterTypeRequiredDefaultDescription
projectKeystringYesThe project key
environmentKeystringYesThe environment key
experimentKeystringYesThe experiment key
expandstringNoA comma-separated list of properties that can reveal additional information in the response. Supported fields are explained above.

launchdarkly_experiments_get_experimentation_settings

Get experimentation settings Parameters:
ParameterTypeRequiredDefaultDescription
projectKeystringYesThe project key

launchdarkly_experiments_get_experiments

Get experiments Parameters:
ParameterTypeRequiredDefaultDescription
projectKeystringYesThe project key
environmentKeystringYesThe environment key
limitintegerNoThe maximum number of experiments to return. Defaults to 20.
offsetintegerNoWhere to start in the list. Use this with pagination. For example, an offset of 10 skips the first ten items and then returns the next items in the list, up to the query limit.
filterstringNoA comma-separated list of filters. Each filter is of the form field:value. Supported fields are explained above.
expandstringNoA comma-separated list of properties that can reveal additional information in the response. Supported fields are explained above.
lifecycleStatestringNoA comma-separated list of experiment archived states. Supports archived, active, or both. Defaults to active experiments.

launchdarkly_experiments_get_holdout

Get holdout Parameters:
ParameterTypeRequiredDefaultDescription
projectKeystringYesThe project key
environmentKeystringYesThe environment key
holdoutKeystringYesThe holdout experiment key
expandstringNoA comma-separated list of properties that can reveal additional information in the response. Supported fields are explained above. Holdout experiment expansion fields have no prefix. Related experiment expansion fields have rel- as a prefix.

launchdarkly_experiments_get_holdout_by_id

Get Holdout by Id Parameters:
ParameterTypeRequiredDefaultDescription
projectKeystringYesThe project key
environmentKeystringYesThe environment key
holdoutIdstringYesThe holdout experiment ID

launchdarkly_experiments_get_metric

Get metric Parameters:
ParameterTypeRequiredDefaultDescription
projectKeystringYesThe project key
metricKeystringYesThe metric key
expandstringNoA comma-separated list of properties that can reveal additional information in the response. Supported fields are experiments, experimentCount, metricGroups, metricGroupCount, eventSources, guardedRollouts, guardedRolloutCount, lastUsedInExperiment, and lastUsedInGuardedRollout.
versionIdstringNoThe specific version ID of the metric

launchdarkly_experiments_get_metric_group

Get metric group Parameters:
ParameterTypeRequiredDefaultDescription
projectKeystringYesThe project key
metricGroupKeystringYesThe metric group key
expandstringNoA comma-separated list of properties that can reveal additional information in the response.

launchdarkly_experiments_get_metric_groups

List metric groups Parameters:
ParameterTypeRequiredDefaultDescription
projectKeystringYesThe project key
filterstringNoAccepts filter by experimentStatus, query, kind, hasConnections, maintainerIds, and maintainerTeamKey. Example: filter=experimentStatus equals 'running' and query equals 'test'.
sortstringNoA comma-separated list of fields to sort by. Fields prefixed by a dash ( - ) sort in descending order. Read the endpoint description for a full list of available sort fields.
expandstringNoThis parameter is reserved for future use and is not currently supported on this endpoint.
limitintegerNoThe number of metric groups to return in the response. Defaults to 20. Maximum limit is 50.
offsetintegerNoWhere to start in the list. Use this with pagination. For example, an offset of 10 skips the first ten items and returns the next limit items.

launchdarkly_experiments_get_metrics

List metrics Parameters:
ParameterTypeRequiredDefaultDescription
projectKeystringYesThe project key
expandstringNoA comma-separated list of properties that can reveal additional information in the response.
limitintegerNoThe number of metrics to return in the response. Defaults to 20. Maximum limit is 50.
offsetintegerNoWhere to start in the list. Use this with pagination. For example, an offset of 10 skips the first ten items and returns the next limit items.
sortstringNoA field to sort the items by. Prefix field by a dash ( - ) to sort in descending order. This endpoint supports sorting by createdAt or name.
filterstringNoA comma-separated list of filters. This endpoint accepts filtering by query, tags, eventKind, isNumeric, unitAggregationType, hasConnections, maintainerIds, maintainerTeamKey, view, dataSourceKeys, metricUsedIn, eventKeys, and versionIds. To learn more about the filter syntax, read the ‘Filtering metrics’ section above.

launchdarkly_experiments_patch_experiment

Patch experiment Parameters:
ParameterTypeRequiredDefaultDescription
projectKeystringYesThe project key
environmentKeystringYesThe environment key
experimentKeystringYesThe experiment key
commentstringNoOptional comment describing the update
instructionsobject[]YesThe instructions value

launchdarkly_experiments_patch_holdout

Patch holdout Parameters:
ParameterTypeRequiredDefaultDescription
projectKeystringYesThe project key
environmentKeystringYesThe environment key
holdoutKeystringYesThe holdout key
commentstringNoOptional comment describing the update
instructionsobject[]YesThe instructions value

launchdarkly_experiments_patch_metric

Update metric Parameters:
ParameterTypeRequiredDefaultDescription
projectKeystringYesThe project key
metricKeystringYesThe metric key
bodyobject[]YesRequest body

launchdarkly_experiments_patch_metric_group

Patch metric group Parameters:
ParameterTypeRequiredDefaultDescription
projectKeystringYesThe project key
metricGroupKeystringYesThe metric group key
bodyobject[]YesRequest body

launchdarkly_experiments_post_holdout

Create holdout Parameters:
ParameterTypeRequiredDefaultDescription
projectKeystringYesThe project key
environmentKeystringYesThe environment key
attributesstring[]NoThe attributes that the holdout iteration’s results can be sliced by
descriptionstringNoDescription of the holdout
holdoutamountstringNoAudience allocation for the holdout
keystringNoA key that identifies the holdout
maintainerIdstringNoMaintainer id
metricsobject[]NoDetails on the metrics for this experiment
namestringNoA human-friendly name for the holdout
prerequisiteflagkeystringNoThe key of the flag that the holdout is dependent on
primarymetrickeystringNoThe key of the primary metric for this holdout
randomizationunitstringNoThe chosen randomization unit for the holdout base experiment

launchdarkly_experiments_post_metric

Create metric Parameters:
ParameterTypeRequiredDefaultDescription
projectKeystringYesThe project key
analysisTypestringNoThe method for analyzing metric events
dataSourceobjectNoData Source
descriptionstringNoDescription of the metric
eventDefaultobjectNoEvent Default
eventKeystringNoThe event key to use in your code. Required for custom conversion/binary and custom numeric metrics only.
filtersobjectNoThe filters value
isNumericbooleanNoWhether to track numeric changes in value against a baseline (<code>true</code>) or to track a conversion when an end user takes an action (<code>false</code>). Required for custom and trace metrics only.
keystringYesA unique key to reference the metric
kindstringYesThe kind of event your metric will track
maintainerIdstringNoThe ID of the member who maintains this metric
namestringNoA human-friendly name for the metric
percentileValueintegerNoThe percentile for the analysis method. An integer denoting the target percentile between 0 and 100. Required when <code>analysisType</code> is <code>percentile</code>.
randomizationUnitsstring[]NoAn array of randomization units allowed for this metric
selectorstringNoOne or more CSS selectors. Required for click metrics only.
successCriteriastringNoSuccess criteria. Required for custom and trace numeric metrics, optional for custom and trace conversion metrics.
tagsstring[]NoTags for the metric
traceQuerystringNoThe trace query to use for the metric. Required for trace metrics.
traceValueLocationstringNoThe location in the trace to use for numeric values. Required for numeric trace metrics.
unitstringNoThe unit of measure. Applicable for numeric custom and trace metrics only.
unitAggregationTypestringNoThe method by which multiple unit event values are aggregated
urlsobject[]NoOne or more target URLs. Required for click and pageview metrics only.
windowEndOffsetintegerNoNot yet implemented - The end of the measurement window, in milliseconds relative to the unit’s first exposure to a flag variation
windowStartOffsetintegerNoNot yet implemented - The start of the measurement window, in milliseconds relative to the unit’s first exposure to a flag variation

launchdarkly_experiments_put_experimentation_settings

Update experimentation settings Parameters:
ParameterTypeRequiredDefaultDescription
projectKeystringYesThe project key
randomizationUnitsobject[]YesAn array of randomization units allowed for this project.